- Research Article
1
- 10.1016/j.ejor.2024.05.002
Labeling methods for partially ordered paths
- May 03, 2024
- European Journal of Operational Research
- Ricardo Euler + 1 more +1
Labeling methods for partially ordered paths
This paper introduces a new variant of the Shortest Path Problem (SPP) called the Cost-Balanced Path Problem (CBPP). Various real problems can either be modeled as BCPP or include BCPP as a sub-problem. We prove several properties related to the complexity of the CBPP problem. In particular, we demonstrate that the problem is NP-hard in its general version, but it becomes solvable in polynomial time in a specific family of instances. Moreover, a mathematical formulation of the CBPP, as a mixed-integer programming model, is proposed, and some additional constraints for modeling real requirements are given. This paper validates the proposed model and its extensions with experimental tests based on random instances. The analysis of the results of the computational experiments shows that the proposed model and its extension can be used to model many real applications. Obviously, due to the problem complexity, the main limitation of the proposed approach is related to the size of the instances. A heuristic solution approach should be required for larger-sized and more complex instances.
Loading PDF
Labeling methods for partially ordered paths
Labeling methods for partially ordered paths
Shortest Path Problems
The shortest path problem (SPP) constitutes one of the most frequently encountered classes of problems in graph theory. It is certainly the most fundamental of components in the fields of transportation and communication networks. Shortest path problems may be encountered directly, possibly as a result of a clever formulation of a problem not at first sight involving shortest paths, or indirectly as a subproblem in the solution of a more complicated optimization problem. This use of shortest path problems as subroutines motivates the search for algorithms with good theoretical bounds on running time. We also seek computer implementations whose empirical performances are rapid in spite of perhaps weak theoretical bounds for the algorithms they implement. As testimony to the importance of shortest path and related problems, a large number of surveys, annotated bibliographies, and reviews have appeared over the past thirty years. Among them are those by Dreyfus (1969), Pierce (1975), Golden and Magnanti (1977), and Gallo and Pallottino (1988).
Read moreModelling and Optimizing an Open-Pit Truck Scheduling Problem
This paper addresses a special truck scheduling problem in the open-pit mine with different transport revenue consideration. A mixed integer programming model is formulated to define the problem clearly and a few valid inequalities are deduced to strengthen the model. Some properties and two upper bounds of the problem are proposed. Based on these inequalities, properties, and upper bounds, a heuristic solution approach with two improvement strategies is proposed to resolve the problem and the numerical experiment demonstrates that the proposed solution approach is effective and efficient.
Read moreShortest paths in networks with correlated link weights
Solving the shortest path problem is important in achieving high performance or to efficiently utilize resources in various kinds of networks, e.g., data communication networks and transportation networks. Fortunately, under independent additive link weights, this problem is solvable in polynomial time. However, in many real-life networks, the link weights (e.g., delay, bandwidth, failure probability) are often correlated due to spatial or temporal dependencies. These correlated link weights together might behave in a different manner and are not always additive. In this paper, we first propose two correlated link-weight models, namely (i) the deterministic correlated model and (ii) the (log-concave) stochastic correlated model. Subsequently, we study the shortest path problem under these two correlated models. We prove that the shortest path problem is NP-hard under the deterministic correlated model, and even cannot be approximated to arbitrary degree in polynomial time. On the other hand, we show that the shortest path problem is polynomial-time solvable under a nodal deterministic correlated model. Finally, we show that the shortest path problem under the (log-concave) stochastic correlated model can be solved by convex optimization.
Read moreSolving 0-1 knapsack problems based on amoeboid organism algorithm
Solving 0-1 knapsack problems based on amoeboid organism algorithm
Solution Approaches for the Dynamic Naval Air Defense Planning Problem
The naval air defense planning (NADP) problem entails the defense of a naval fleet against aerial threats. This complex and dynamic problem requires real-time decision-making and adaptation to evolving warfare environment. While our previous work addressed the static NADP problem by proposing a mathematical model and heuristic solutions for sensor allocation, engagement scheduling, and ship routing, this study extends to the dynamic NADP problem. Unlike the static version, which assumes complete knowledge of future threats, the dynamic NADP problem requires continuous updates and real-time adjustments to decisions as new threats emerge and situational parameters change. We present modifications in the mathematical formulation, which is based on a mixed-integer nonlinear programming (MINLP) model, alongside a comprehensive simulation structure. We employ heuristic solution approaches that utilize a combination of a genetic algorithm, construction of an engagement graph to solve the shortest path problem, and dynamic programming (DP) techniques. Computational experiments are conducted to evaluate the effectiveness of these methods in addressing the dynamic NADP problem. The study also explores machine learning models for threat prioritization, offering innovative solutions to the challenges posed by dynamic naval air defense scenarios.
Read moreParametric search for the bi-attribute concave shortest path problem
Parametric search for the bi-attribute concave shortest path problem
A Bio-Inspired Method for the Constrained Shortest Path Problem
The constrained shortest path (CSP) problem has been widely used in transportationoptimization, crew scheduling, network routing and so on. It is an open issue since it is a NP-hard problem. In this paper, we propose an innovative method which is based on the internal mechanism of the adaptive amoeba algorithm. The proposed method is divided into two parts. In the first part, we employ the original amoeba algorithm to solve the shortest path problem in directed networks. In the second part, we combine the Physarum algorithm with a bio-inspired rule to deal with the CSP. Finally, by comparing the results with other method using an examples in DCLC problem, we demonstrate the accuracy of the proposed method.
Read moreKeyword index volumes 72–79 (1994)
Keyword index volumes 72–79 (1994)
A novel approach based on relaxation and reduction to solve the capacitated lot sizing problem
Capacitated lot sizing problem (CLSP) finds its applications in manufacturing, production as-well-as process industries. Typical size of the real life problems is much larger compared to the sizes that can be handled by commercial solvers, as CLSP is an NP-hard problem. Researchers have attempted different variants of CLSP in last few decades and provided many classical, exact, heuristic and metaheuristic solution approaches. In this paper, we attempt to solve the multi item capacitated dynamic lot sizing problem with backorders and setup times (CLSPBS). We apply Lagrangian relaxation on the material balance constraint, to reduce the problem into several single constraint continuous knapsack problems with upper bound on the real variables. Bounded variable linear program determines the values of real variables. For the negative or positive value of coefficients in the Lagrangian function, we fix the setup variables at zero or one respectively. Thus, the reduced problem is solved in polynomial time, as the main effort required is only sorting of numbers. We use the set up variable that are at one, to develop yet another good upper bound. Branch-and-bound procedure benefits immensely by using these bounds to make a warm start.
Read moreBisection and Exact Algorithms Based on the Lagrangian Dual for a Single-Constrained Shortest Path Problem
We propose two new algorithms called BiLAD and ExactBiLAD for the well-known Single-Constrained Shortest Path (SCSP) problem. It is a fundamental problem in quality-of-service (QoS) routing, where one seeks a source-destination path with the least cost satisfying a delay QoS constraint in a network. As pointed out by Juttner et al. , there is no widely accepted algorithm with polynomial time to the SCSP problem because the SCSP problem is NP-hard. The remarkable feature of BiLAD is that it ensures that the length of iteratively updated angle interval is shrunk at least at a constant ratio. With the help of this feature, we prove its polynomial time complexity. To the best of our knowledge, this is the first time that the polynomial time complexity is proved in details. The numerical results show that, in most QoS routing test instances, the performance of BiLAD is close to their primal optimal solutions. The proposed modified Dijkstra procedure, whose complexity is the same as that of the Dijkstra algorithm, also accelerates BiLAD. In the second part of the paper, based on the information obtained by BiLAD, we design an exact algorithm–ExactBiLAD, in which an optimal solution to the SCSP problem is finally obtained by scanning the steadily reduced optimal-path-candidate triangle area. The simulation results indicate that ExactBiLAD needs only a dozen times of executing the modified Dijkstra algorithm regardless of the network size or the average node degree. Distinguished from many other exact algorithms, ExactBiLAD has a satisfactory performance in the practical computation.
Read moreEnergy-constrained orienteering problem for green tourist trip design: Mathematical formulation and heuristic solution approaches
Energy-constrained orienteering problem for green tourist trip design: Mathematical formulation and heuristic solution approaches
Read moreA binary relation inference network for constrained optimization
This thesis proposes a new parallel computing network--a binary relation inference network. The network topology is set up to match conventional optimization procedures. The network transforms some optimization problems (shortest path, transitive closure, assignment, etc.) into network convergence problems and divides the work load evenly among all processors. Link weights are known. It can operate in synchronous discrete-time, asynchronous discrete-time, and continuous-time domains. Inference network algorithms are derived directly from problem formulation, and are effective for a large range of problem sizes. The inference network consists of interconnected components; each component is composed of a unit, a number of sites attached to the unit, and links from the unit to sites on other units. Each unit is a simple computational engine. The topology of the inference network matches naturally to many optimization problems, since its deduction sites produce candidates to compete for the optimum and its decision-making units select the optimum from the site values. Either directly or through a transformation mapping to a systolic structure, discrete inference network algorithms can be implemented on a commercially available parallel processing facility, such as the Connection Machine. Analog inference network can be built using integrated circuits which solve problems efficiently in the continuous-time domain. In this thesis, mathematical analysis and numerical simulation were conducted for the synchronous, asynchronous, and analog inference network. Various applications has been discussed. The inference network has shown to solve the all-pair shortest path problem efficiently in various updating schemes. The inference network algorithm for the transitive closure problem parts derived straightforwardly from the formulation of the problem and the topology of the inference network. Efficient continuous-time solution was obtained from a non-synchronized logical circuit. The convergence of the network for the shortest path or transitive closure problems was shown to be independent of the problem size. It was demonstrated that the inference network can solve the assignment problem in a way similar to the Hopfield net's solution to the traveling salesman problem. However, the former was shown to converge for all test cases with problem size up to 128. (Abstract shortened by UMI.)
Read moreScheduling of inventory releasing jobs to satisfy time-varying demand: an analysis of complexity
This paper studies a new class of single-machine scheduling problems, that are faced by Just-in-Time-suppliers satisfying a given demand. In these models the processing of jobs leads to a release of a predefined number of product units into inventory. Consumption is triggered by predetermined time-varying, and product-specific demand requests. While all demands have to be fulfilled, the objective is to minimize the resulting product inventory. We investigate different subproblems of this general setting with regard to their computational complexity. For more restricted problem versions (equal processing times and equal number of released products) strongly polynomial time algorithms are presented. In contrast to this, NP-hardness in the strong sense is proven for more general problem versions (varying processing times or varying number of released products). Moreover, for the most general version, even finding a feasible solution is shown to be strongly NP-hard.
Read moreEfficient Algorithms for Disjoint Shortest Paths Problem and its Extensions
We study the 2-Disjoint Shortest Paths (2-DSP) problem: given a directed weighted graph and two terminal pairs (s₁,t₁) and (s₂,t₂), decide whether there exist vertex-disjoint shortest paths between each pair. Building on recent advances in disjoint shortest paths for DAGs and undirected graphs (Akmal et al. 2024), we present an O(mn log n)-time algorithm for this problem in weighted directed graphs that do not contain negative or zero weight cycles. This algorithm presents a significant improvement over the previously known O(m⁵n)-time bound (Berczi et al. 2017). Our approach exploits the algebraic structure of polynomials that enumerate shortest paths between terminal pairs. A key insight is that these polynomials admit a recursive decomposition, enabling efficient evaluation via dynamic programming over fields of characteristic two. Furthermore, we demonstrate how to report the corresponding paths in O(mn² log n)-time. In addition, we extend our techniques to a more general setting: given two terminal pairs (s₁, t₁) and (s₂, t₂) in a directed graph, find the minimum possible number of vertex intersections between any shortest path from s₁ to t₁ and s₂ to t₂. We call this the Minimum 2-Disjoint Shortest Paths (Min-2-DSP) problem. We provide in this paper the first efficient algorithm for this problem, including an O(m² n³)-time algorithm for directed graphs with positive edge weights, and an O(m+n)-time algorithm for DAGs and undirected graphs. Moreover, if the number of intersecting vertices is at least one, we show that it is possible to report the paths in the same O(m+n)-time. This is somewhat surprising, as there is no known o(mn) time algorithm for explicitly reporting the paths if they are vertex-disjoint, and is left as an open problem in (Akmal et al. 2024).
Read more